Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class StringWriterIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.StringWriterIOException

All Implemented Interfaces:
  Serializable

    public class StringWriterIOException

extends RuntimeException

An IO exception occurred trying to append to a StringWriter which should never happen.

Version:
  $Revision: 6778 $
Author:
  James Strachan
See Also:
  Serialized Form

Constructor Summary
`StringWriterIOException(IOException e)`

Method Summary
`IOException` | `getIOException()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringWriterIOException

    public StringWriterIOException(IOException e)

Method Detail

### getIOException

    public IOException getIOException()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD